using System;
using System.Runtime.CompilerServices;

class Vage
{

    static void Main()
    {
        var linija = Console.ReadLine().Split(' ');
        int N = int.Parse(linija[0]);
        int M = int.Parse(linija[1]);
        int i = 0;
        int[] d = new int[N];
        int[] u = new int[N];
        int l = 0;
        int r = 0;
        int x = 0;
        for (i = 0; i < N; i++)
        {
            var linija1 = Console.ReadLine().Split(' ');
            d[i] = int.Parse(linija1[0]);
            u[i] = int.Parse(linija1[1]);
        }
        int j = 0,br = 0;
        for (i = 0; i < M; i++)
        {
            br = 0;
            var linija2 = Console.ReadLine().Split(' ');
            l = int.Parse(linija2[0]);
            r = int.Parse(linija2[1]);
            x = int.Parse(linija2[2]);
            for (j = l - 1; j <r; j++)
            {
                if (x >= d[j] && x <= u[j]) br++;
            }
            Console.WriteLine(br);
        }
    }
}